/**
 * @file 构建逻辑
 * @author mj(zoumiaojiang@gmail.com)
 */

'use strict';

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LavasCore = require('lavas-core');

var utils = require('../utils');
var log = require('../utils/log');

/**
 * 处理 build 构建逻辑
 *
 * @param {Object} options action 的参数
 */
module.exports = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee() {
  var rootDir, core;
  return _regenerator2.default.wrap(function _callee$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          rootDir = utils.getLavasProjectRoot();
          core = new LavasCore(rootDir);


          log.info('开始构建...');
          _context.next = 5;
          return core.build('production');

        case 5:
          log.info('构建完成...');

        case 6:
        case 'end':
          return _context.stop();
      }
    }
  }, _callee, this);
}));