/**
 * @file init commander
 * @author mj(zoumiaojiang@gmail.com)
 */

'use strict';

var init = require('./action');

module.exports = function (program) {

    // 定义 lavas init 命令
    program.command('init').description('初始化 Lavas PWA 项目').option('-f, --force', '是否覆盖已有项目').action(function (options) {
        return init({
            force: options.force
        });
    });
};